Subject: Re: [PATCH 2/2] git-commit: make '-a' the default.

From: Jakub Narebski <[email-masked]>
Date: Tue, 28 Nov 2006 10:09:39 +0100

Junio C Hamano wrote:

> At the same time, stop talking about "--only" option being the
> default when given paths.  It has been that way for quite some
> time.
> 
> This change breaks t1400 which assumed the long tradition of not
> modifying index when not told to touch it with an explicit -a
> nor paths, so this commit includes adjustment for it as well.

Perhaps we should make it configuration option instead? I usually use
"git commit -a -s"; I add -s anyway, so adding -a is not that much more.

By the way, if I understand correctly git-resolve is meant as restricted
git-update-index, which can _only_ mark file as resolved (and probably
check for merge markers, unless --force'd).
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git